Bug 1683594 - nfs ltp ftest* fstat gets mismatch size as except after turn on md-cache
Summary: nfs ltp ftest* fstat gets mismatch size as except after turn on md-cache
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: md-cache
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Kinglong Mee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-27 10:01 UTC by Kinglong Mee
Modified: 2019-07-05 07:41 UTC (History)
3 users (show)

Fixed In Version: glusterfs-7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-05 07:40:57 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22273 None Open md-cache: only update generation for inode at upcall and NULL stat 2019-06-19 09:13:44 UTC

Description Kinglong Mee 2019-02-27 10:01:17 UTC
Description of problem:

Exporting nfs exports by nfs-ganesha base on glusterfs-5.3-1.fc29.x86_64 at fedora.

After md-cache turn on, ltp ftest* reports mismatch size as except;

ftest01     1  TFAIL  :  ftest01.c:521:         Test[2]: fstat() mismatch; st_size=901120, file_max=ed800.
ftest01     1  TFAIL  :  ftest01.c:521:         Test[4]: fstat() mismatch; st_size=993280, file_max=ff800.
ftest01     1  TFAIL  :  ftest01.c:521:         Test[0]: fstat() mismatch; st_size=1009664, file_max=f8000.
ftest01     1  TFAIL  :  ftest01.c:521:         Test[1]: fstat() mismatch; st_size=890880, file_max=fc800.
ftest01     1  TFAIL  :  ftest01.c:521:         Test[3]: fstat() mismatch; st_size=995328, file_max=100000.
ftest01     1  TFAIL  :  ftest01.c:189: Test{14660} failed, expected 0 exit
ftest01     2  TFAIL  :  ftest01.c:189: Test{14662} failed, expected 0 exit
ftest01     3  TFAIL  :  ftest01.c:189: Test{14658} failed, expected 0 exit
ftest01     4  TFAIL  :  ftest01.c:189: Test{14659} failed, expected 0 exit
ftest01     5  TFAIL  :  ftest01.c:189: Test{14661} failed, expected 0 exit
ftest01     6  TFAIL  :  ftest01.c:211: Test failed in fork and wait.
ftest01     7  TFAIL  :  ftest01.c:113: Test failed.

turn off md-cache,

ftest01     1  TPASS  :  Test passed in fork and wait.
ftest01     2  TPASS  :  Test passed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-02-27 10:14:47 UTC
REVIEW: https://review.gluster.org/22273 (md-cache: only update generation for inode at upcall and NULL stat) posted (#1) for review on master by Kinglong Mee

Comment 2 Worker Ant 2019-06-19 09:13:46 UTC
REVIEW: https://review.gluster.org/22273 (md-cache: only update generation for inode at upcall and NULL stat) merged (#2) on master by Poornima G


Note You need to log in before you can comment on or make changes to this bug.